Subject: Re: Is there way to set git commit --date to be older than 1970 ?

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Oct 2014 12:31:54 -0700

Peter Vojtek <[email-masked]> writes:

> It seems the commit date can be between 1970 and 2100 (on my 32bit
> linux),...

The underlying data representation records time as number of seconds
since epoch (1970-01-01).  Theoretically the codepaths that read
data could consider negative timestamps to represent times before
the epoch, but in the context of source code control, negative
values are more likely to be an indication of a bug or a user
mistake, and I do not think any existing code in Git is prepared to
pass such a timestamp as a sane value---instead they diagnose a
failure and die.

> I understand that this is rather an esoteric use case :)

Yeah, this is pretty much outside of what we intend to support.

Thanks.